Subject: Re: bug#13801: [PATCH] Trivial fix for files.el

From: Xue Fuqiao <[email-masked]>
Date: Mon, 25 Feb 2013 06:47:26 +0800

On Sun, 24 Feb 2013 14:27:06 -0800
"Drew Adams" <[email-masked]> wrote:

> > > "Non-nil means break a hard link for the visited file and 
> > write to a new file."
> > To keep it under 68 characters (as per (elisp) Documentation 
> > Tips), how about:
> > Non-nil means write visited file to a new file, breaking hard links.
> OK by me.  (I was thinking the guideline limit is more than 68.)
> But that text suggests that a new file is always used.  Using "any hard link" or
> "a hard link" is a bit better, suggesting that the new file thing is conditional
> on there being a hard link.
> Maybe this (66 chars)?
> Non-nil means write new file if `buffer-file-name' is hard-linked.

I think there are three problems (to me) about this version:

1. "write new file" is confusing.  I don't know what kind of thing will be write to which file;

2. `buffer-file-name' has both a function cell and a value cell, a little confusing;

2. `buffer-file-name' is a string (or returns a string), not a file, so the file cannot be hard-linked.

But I can't give a better version, sorry.

-- 
Best regards, Xue Fuqiao.
http://www.emacswiki.org/emacs/XueFuqiao